Bug 145528 - HP Officejet K80 doesn't print... kudzu find the printer but PTAL fails the connection
HP Officejet K80 doesn't print... kudzu find the printer but PTAL fails the c...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: hpoj (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-19 08:06 EST by Rodrigo Ferreira
Modified: 2008-02-05 00:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 00:49:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodrigo Ferreira 2005-01-19 08:06:22 EST
Description of problem:
I have a HP Officejet K80 pluged to USB port. The kudzu find the
printer, but PTAL fails the connection.
I have the hpoj-0.91-9, I also have the hpijs-1.6-2.

How reproducible:
Every time.

Steps to Reproduce:
1.kudzu -p
2.ptal-init setup
3.tail /var/log/messages
  
Actual results:

1.
root@localhost ~]# kudzu -p
-
class: OTHER
bus: PCI
detached: 0
driver: i2c-sis96x
desc: "Silicon Integrated Systems [SiS] SiS961/2 SMBus Controller"
vendorId: 1039
deviceId: 0016
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  2
pcifn:  1
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "Silicon Integrated Systems [SiS] SiS963 [MuTIOL Media IO]"
vendorId: 1039
deviceId: 0963
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  2
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "Silicon Integrated Systems [SiS]: Unknown device 0003"
vendorId: 1039
deviceId: 0003
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  1
pcifn:  0
-
class: OTHER
bus: USB
detached: 0
driver: unknown
desc: "Linux 2.6.10-1.741_FC3 ehci_hcd EHCI Host Controller"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 1
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbmfr: Linux 2.6.10-1.741_FC3 ehci_hcd
usbprod: EHCI Host Controller
-
class: OTHER
bus: USB
detached: 0
driver: unknown
desc: "Linux 2.6.10-1.741_FC3 ohci_hcd OHCI Host Controller"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 2
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbmfr: Linux 2.6.10-1.741_FC3 ohci_hcd
usbprod: OHCI Host Controller
-
class: OTHER
bus: USB
detached: 0
driver: unknown
desc: "Linux 2.6.10-1.741_FC3 ohci_hcd OHCI Host Controller"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 3
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbmfr: Linux 2.6.10-1.741_FC3 ohci_hcd
usbprod: OHCI Host Controller
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "Silicon Integrated Systems [SiS] 741/741GX/M741 Host"
vendorId: 1039
deviceId: 0741
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  0
pcifn:  0
-
class: NETWORK
bus: PCI
detached: 0
device: eth0
driver: sis900
desc: "Silicon Integrated Systems [SiS] SiS900 PCI Fast Ethernet"
network.hwaddr: 00:11:5B:8A:DE:C4
vendorId: 1039
deviceId: 0900
subVendorId: 1039
subDeviceId: 0900
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  4
pcifn:  0
-
class: MOUSE
bus: PSAUX
detached: 0
device: input/mice
driver: generic3ps/2
desc: "ImPS/2 Generic Wheel Mouse"
-
class: AUDIO
bus: PCI
detached: 0
driver: snd-intel8x0
desc: "Silicon Integrated Systems [SiS] Sound Controller"
vendorId: 1039
deviceId: 7012
subVendorId: 1019
subDeviceId: a00c
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  2
pcifn:  7
-
class: CDROM
bus: IDE
detached: 0
device: hdc
driver: ignore
desc: "SAMSUNG CD-ROM SH-152A"
-
class: VIDEO
bus: PCI
detached: 0
driver: unknown
desc: "Silicon Integrated Systems [SiS]
661FX/M661FX/M661MX/741/M741/760/M760 PCI/AGP"
vendorId: 1039
deviceId: 6330
subVendorId: 1039
subDeviceId: 6330
pciType: 1
pcidom:    0
pcibus:  1
pcidev:  0
pcifn:  0
-
class: FLOPPY
bus: MISC
detached: 0
device: fd0
driver: unknown
desc: "3.5" 1.44MB floppy drive"
-
class: HD
bus: IDE
detached: 0
device: hda
driver: ignore
desc: "HDS728080PLAT20"
physical: 16383/16/63
logical: 16383/255/63
-
class: PRINTER
bus: USB
detached: 0
driver: unknown
desc: "Hewlett-Packar OfficeJet  K80"
usbclass: 7
usbsubclass: 1
usbprotocol: 3
usbbus: 2
usblevel: 1
usbport: 2
usbdev: 2
vendorId: 03f0
deviceId: 0711
usbmfr: Hewlett-Packar
usbprod: OfficeJet  K80
-
class: KEYBOARD
bus: PSAUX
detached: 0
driver: ignore
desc: "AT Translated Set 2 keyboard"
-
class: USB
bus: PCI
detached: 0
driver: ehci-hcd
desc: "Silicon Integrated Systems [SiS] USB 2.0 Controller"
vendorId: 1039
deviceId: 7002
subVendorId: 1039
subDeviceId: 7002
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  3
pcifn:  3
-
class: USB
bus: PCI
detached: 0
driver: ohci-hcd
desc: "Silicon Integrated Systems [SiS] USB 1.0 Controller"
vendorId: 1039
deviceId: 7001
subVendorId: 1039
subDeviceId: 7001
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  3
pcifn:  1
-
class: USB
bus: PCI
detached: 0
driver: ohci-hcd
desc: "Silicon Integrated Systems [SiS] USB 1.0 Controller"
vendorId: 1039
deviceId: 7001
subVendorId: 1039
subDeviceId: 7001
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  3
pcifn:  0
-
class: IDE
bus: PCI
detached: 0
driver: unknown
desc: "Silicon Integrated Systems [SiS] 5513 [IDE]"
vendorId: 1039
deviceId: 5513
subVendorId: 1039
subDeviceId: 5513
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  2
pcifn:  5

2. [root@localhost ~]# ptal-init setup

Stopping the HP OfficeJet Linux driver.

----------------------------------------------------------------------

This program manages devices controlled by the HP OfficeJet Linux
driver (hpoj).  It attempts to probe your computer for local parallel-
and USB-connected devices, and allows you to specify network addresses
for remote JetDirect-connected devices.

If you experience any difficulties in detecting your device(s), then
refer to the hpoj documentation for troubleshooting information.

----------------------------------------------------------------------

Currently defined device names ([*]=default):
    (none)

----------------------------------------------------------------------

Probe for parallel-connected devices ([y]/n)?  n

----------------------------------------------------------------------

Probe for USB-connected devices ([y]/n)?  y

Probing "/dev/usb/lp0"...
    *** Found "OfficeJet  K80" but failed to communicate with it!
    *** Elapsed time for this attempt was 6 second(s).
    *** Check syslog file for ptal-mlcd error messages.
    *** See hpoj documentation for troubleshooting information.

Probing "%003%002"...
    No device found.

Probing "%003%001"...
    No device found.

Probing "%002%001"...
    No device found.

Probing "%001%001"...
    No device found.

----------------------------------------------------------------------

Press <Enter> alone to continue, or if you would like to add a
JetDirect-connected device, then enter its dotted-decimal
IP address or hostname here --->

----------------------------------------------------------------------

Done updating device configuration files stored under /etc/ptal.
If you make manual changes to those files, then be sure to run
"/usr/sbin/ptal-init start" so they will take effect.

----------------------------------------------------------------------

Starting the HP OfficeJet Linux driver.
    No hpoj devices have been configured.
    As root, run "/usr/sbin/ptal-init setup".

3.
[root@localhost ~]# tail /var/log/messages
Jan 19 12:49:54 localhost ptal-mlcd: ERROR at
transport/ExMlcCommandChannel.cpp:251,
dev=<mlc:usb:probe@/dev/usb/lp0>, pid=7686, e=11, t=1106138994       
 Command reply timeout on port=0, count=1, lastRequest=0x00!
Jan 19 12:49:54 localhost ptal-mlcd: ERROR at ExMgr.cpp:871,
dev=<mlc:usb:probe@/dev/usb/lp0>, pid=7686, e=25, t=1106138994       
exClose(reason=0x3002)
Jan 19 12:49:55 localhost ptal-mlcd: SYSLOG at ExMgr.cpp:652,
dev=<mlc:usb:probe>, pid=7696, e=111, t=1106138995         ptal-mlcd
successfully initialized.
Jan 19 12:49:55 localhost ptal-mlcd: ERROR at ExMgr.cpp:2525,
dev=<mlc:usb:probe>, pid=7696, e=16, t=1106138995         Couldn't
find device!
Jan 19 12:49:55 localhost ptal-mlcd: SYSLOG at ExMgr.cpp:652,
dev=<mlc:usb:probe>, pid=7705, e=111, t=1106138995         ptal-mlcd
successfully initialized.
Jan 19 12:49:55 localhost ptal-mlcd: ERROR at ExMgr.cpp:2525,
dev=<mlc:usb:probe>, pid=7705, e=11, t=1106138995         Couldn't
find device!
Jan 19 12:49:55 localhost ptal-mlcd: SYSLOG at ExMgr.cpp:652,
dev=<mlc:usb:probe>, pid=7714, e=111, t=1106138995         ptal-mlcd
successfully initialized.
Jan 19 12:49:55 localhost ptal-mlcd: ERROR at ExMgr.cpp:2525,
dev=<mlc:usb:probe>, pid=7714, e=11, t=1106138995         Couldn't
find device!
Jan 19 12:49:55 localhost ptal-mlcd: SYSLOG at ExMgr.cpp:652,
dev=<mlc:usb:probe>, pid=7723, e=111, t=1106138995         ptal-mlcd
successfully initialized.
Jan 19 12:49:55 localhost ptal-mlcd: ERROR at ExMgr.cpp:2525,
dev=<mlc:usb:probe>, pid=7723, e=11, t=1106138995         Couldn't
find device!


Expected results:
When PTAL is probing it should found the HP officejet k80 printer on
USB port
Comment 1 Tim Waugh 2005-01-21 05:00:05 EST
I think support for this model was recently added to the "hplip" package which I
hope to get included into Fedora Core soon in place of hpoj.
Comment 2 Rodrigo Ferreira 2005-01-24 07:32:58 EST
(In reply to comment #1)
> I think support for this model was recently added to the "hplip" package 
which I
> hope to get included into Fedora Core soon in place of hpoj.

Yes you are right, thanks for the suport. I still can't print on my Officejet 
K80, but I have to do more tests
Comment 3 Rodrigo Ferreira 2005-01-31 16:21:49 EST
I installed the HPLIP 0.8.7 and I can probe the printer but I still 
having problems to communicate with printer... the kernel version is 
2.6.10-1.741_FC3 (#uname -r)... as I already have printed with the 
redhat 9, I started to think that is a kernel problem!!! I recompiled 
an old 2.4.26 kernel and tried to install the printer ... and it 
works!! :D now I have the printer works in kernel 2.4.26, this is 
obvious a kernel problem.
Comment 4 Matthias Kattanek 2005-08-22 19:53:29 EDT
This bug still exists in FC4.  running kernel 2.6.12-1_1398_FC4
Pretty much identical to what Rodrigo Ferreira reported initialy (see his first
post)
Comment 5 Matthew Miller 2006-07-10 17:03:58 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 petrosyan 2008-02-04 11:32:02 EST
Can anybody reproduce this bug in Fedora 8?
Comment 7 petrosyan 2008-02-05 00:49:03 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.